### Method

# Gimp Channel combine_masks

#### Declaration [src]

    gboolean
    gimp_channel_combine_masks (
      GimpChannel* channel1,
      GimpChannel* channel2,
      GimpChannelOps operation,
      gint offx,
      gint offy
    )

#### Description [src]

Combine two channel masks.

This procedure combines two channel masks. The result is stored in the first channel.

#### Parameters

`channel2`

  Type: `GimpChannel`

  The channel2.

  The data is owned by the caller of the method.

`operation`

  Type: `GimpChannelOps`

  The selection operation.

`offx`

  Type: `gint`

  X offset between upper left corner of channels: (second - first).

`offy`

  Type: `gint`

  Y offset between upper left corner of channels: (second - first).

#### Return value

Type: `gboolean`

TRUE on success.